name: lsfusion

services:
  db:
    image: postgres:latest
    volumes:
      - ./docker-db:/var/lib/postgresql/data # host/path:container/path
    environment:
      - POSTGRES_PASSWORD=11111

  server:
    image: lsfusion/server:6.0
    depends_on:
      - db
    volumes:
      - ./docker-server:/lsfusion # host/path:container/path
    environment:
      - DB_SERVER=db
      - DB_PASSWORD=11111

  client:
    image: lsfusion/client:6.0
    depends_on:
      - server
    volumes:
      - ./docker-client-conf:/usr/local/tomcat/conf/Catalina # host/path:container/path
    ports:
      - "8080:8080"
    environment:
      - APP_SERVER=server